# Rhye's and Fall of Civilization - Constants


# globals

l0Array =       [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]
l0ArrayActive = [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]#, 0, 0]
l0ArrayTotal =  [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0] #, 0, 0]

lm1Array =      [-1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1]

# initialise player variables to player IDs from WBS
iEgypt = 0
iIndia = 1
iChina = 2
iBabylonia = 3
iGreece = 4
iPersia = 5
iCarthage = 6
iRome = 7
iJapan = 8
iVikings = 9
iArabia = 10
iSpain = 11
iFrance = 12
iEngland = 13
iGermany = 14
iRussia = 15
iMali = 16
iTurkey = 17
iInca = 18
iMongolia = 19
iAztecs = 20
iAmerica = 21
iNumPlayers = 22
iNumMajorPlayers = 22
#iHolland = 22
#iPortugal = 23
iNumActivePlayers = 22
iIndependent = 22
iIndependent2 = 23
iNative = 24
iCeltia = 25
iNumTotalPlayers = 26
iBarbarian = 26
iNumTotalPlayersB = 27

#for Congresses and Victory
lCivGroups = [[4, 7, 9, 11, 12, 13, 14, 15], #22, 23], #Euros
                [1, 2, 5, 8, 15, 19], #Asian
                [0, 3, 5, 10, 17], #MiddleEastern
                [0, 4, 6, 7], #Mediterranean
                [0, 6, 16], #African
                [18, 20, 21]] #American

lCivBioOldWorld = [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 19, 21, 22, 23, 25, 26]
lCivBioNewWorld = [18, 20] #, 24]



#neighbours
lNeighbours = [
[3, 4, 5, 6, 7, 10, 17], #Egypt
[2, 5, 19], #India
[1, 8, 19], #China
[0, 4, 5, 17, 19], #Babylonia
[5, 6, 7, 14, 15, 17], #Greece
[1, 3, 4, 17, 19], #Persia
[0, 4, 7, 11, 16], #Carthage
[0, 3, 4, 6, 11, 12, 14], #Rome
[2, 19], #Japan
[12, 13, 14, 15], #Vikings
[0, 3, 5, 17], #Arabia
[6, 7, 12, 13],#, 23], #Spain
[7, 9, 11, 13, 14],#, 22], #France
[7, 9, 11, 12, 14],#, 22], #England
[7, 9, 12, 13, 15],#, 22], #Germany
[5, 9, 14, 17, 19], #Russia
[0, 6], #Mali
[3, 4, 5, 15, 19], #Turkey
[11, 20, 21], #Inca
[1, 2, 5, 8, 15, 17], #Mongolia
[11, 18, 21], #Aztec
[8, 11, 12, 13, 15, 18, 20]#, #America
#[9, 12, 13, 14], #Holland
#[6, 11, 12] #Portugal
]

# civ birth dates

tBirth = (
0, #3000BC
0, #3000BC
0, #3000BC
0, #3000BC
50, #1600BC
80, #844BC
82, #814BC
84, #753BC
88, #660BC
148, #551AD
153, #622AD
163, #718AD
166, #751AD
173, #829AD
175, #843AD
177, #860AD
189, #989AD
198, #1071AD
206, #1150AD
210, #1190AD
211, #1195AD
302, #1765AD #272 ###302 #(test413)
#183, #922
#205, #1139
0,
0,
0,
0,
0)


tYear = (
("3000 ", "TXT_KEY_BC"),
("3000 ", "TXT_KEY_BC"),
("3000 ", "TXT_KEY_BC"),
("3000 ", "TXT_KEY_BC"),
("1600 ", "TXT_KEY_BC"),
("850 ", "TXT_KEY_BC"),
("800 ", "TXT_KEY_BC"),
("750 ", "TXT_KEY_BC"),
("650 ", "TXT_KEY_BC"),
("550 ", "TXT_KEY_AD"),
("620 ", "TXT_KEY_AD"),
("720 ", "TXT_KEY_AD"),
("750 ", "TXT_KEY_AD"),
("820 ", "TXT_KEY_AD"),
("840 ", "TXT_KEY_AD"),
("860 ", "TXT_KEY_AD"),
("980 ", "TXT_KEY_AD"),
("1070 ", "TXT_KEY_AD"),
("1150 ", "TXT_KEY_AD"),
("1190 ", "TXT_KEY_AD"),
("1200 ", "TXT_KEY_AD"),
("1733 ", "TXT_KEY_AD"))

tGoals = (
("TXT_KEY_UHV_EGY1", "TXT_KEY_UHV_EGY2", "TXT_KEY_UHV_EGY3"),
("TXT_KEY_UHV_IND1", "TXT_KEY_UHV_IND2", "TXT_KEY_UHV_IND3"),
("TXT_KEY_UHV_CHI1", "TXT_KEY_UHV_CHI2", "TXT_KEY_UHV_CHI3"),
("TXT_KEY_UHV_BAB1", "TXT_KEY_UHV_BAB2", "TXT_KEY_UHV_BAB3"),
("TXT_KEY_UHV_GRE1", "TXT_KEY_UHV_GRE2", "TXT_KEY_UHV_GRE3"),
("TXT_KEY_UHV_PER1", "TXT_KEY_UHV_PER2", "TXT_KEY_UHV_PER3"),
("TXT_KEY_UHV_CAR1", "TXT_KEY_UHV_CAR2", "TXT_KEY_UHV_CAR3"),
("TXT_KEY_UHV_ROM1", "TXT_KEY_UHV_ROM2", "TXT_KEY_UHV_ROM3"),
("TXT_KEY_UHV_JAP1", "TXT_KEY_UHV_JAP2", "TXT_KEY_UHV_JAP3"),
("TXT_KEY_UHV_VIK1", "TXT_KEY_UHV_VIK2", "TXT_KEY_UHV_VIK3"),
("TXT_KEY_UHV_ARA1", "TXT_KEY_UHV_ARA2", "TXT_KEY_UHV_ARA3"),
("TXT_KEY_UHV_SPA1", "TXT_KEY_UHV_SPA2", "TXT_KEY_UHV_SPA3"),
("TXT_KEY_UHV_FRA1", "TXT_KEY_UHV_FRA2", "TXT_KEY_UHV_FRA3"),
("TXT_KEY_UHV_ENG1", "TXT_KEY_UHV_ENG2", "TXT_KEY_UHV_ENG3"),
("TXT_KEY_UHV_GER1", "TXT_KEY_UHV_GER2", "TXT_KEY_UHV_GER3"),
("TXT_KEY_UHV_RUS1", "TXT_KEY_UHV_RUS2", "TXT_KEY_UHV_RUS3"),
("TXT_KEY_UHV_MAL1", "TXT_KEY_UHV_MAL2", "TXT_KEY_UHV_MAL3"),
("TXT_KEY_UHV_TUR1", "TXT_KEY_UHV_TUR2", "TXT_KEY_UHV_TUR3"),
("TXT_KEY_UHV_INC1", "TXT_KEY_UHV_INC2", "TXT_KEY_UHV_INC3"),
("TXT_KEY_UHV_MON1", "TXT_KEY_UHV_MON2", "TXT_KEY_UHV_MON3"),
("TXT_KEY_UHV_AZT1", "TXT_KEY_UHV_AZT2", "TXT_KEY_UHV_AZT3"),
("TXT_KEY_UHV_AME1", "TXT_KEY_UHV_AME2", "TXT_KEY_UHV_AME3")
)


# date waypoints

i3000BC = 0
i2085BC = 31
i2000BC = 34
i1800BC = 42
i1600BC = 50
i1000BC = 74
i850BC = 80
i700BC = 86
i650BC = 88
i600BC = 91
i483BC = 96
i479BC = 97
i350BC = 103
i210BC = 110
i110BC = 115
i10BC = 120
i33AD = 122
i50AD = 123
i190AD = 130
i250AD = 133
i300AD = 135 #290
i350AD = 138
i450AD = 143
i476AD = 144
i550AD = 148
i600AD = 151
i622AD = 153
i690AD = 160
i700AD = 161
i860AD = 177
i900AD = 181
i920AD = 183
i1000AD = 191
i1100AD = 201
i1140AD = 205
i1190AD = 210
i1200AD = 211
i1300AD = 221
i1350AD = 221
i1400AD = 231
i1450AD = 231
i1500AD = 251
i1600AD = 271
i1607AD = 272
i1650AD = 281
i1700AD = 291
i1730AD = 301
i1760AD = 311
i1800AD = 325
i1820AD = 331
i1850AD = 342
i1880AD = 357
i1900AD = 367
i1918AD = 376
i1930AD = 382
i1940AD = 387
i1950AD = 392
i2000AD = 430



# starting locations coordinates
tCapitals = (
(69, 33), #tThebes
(90, 40), #tDelhi
(102, 47), #tBeijing
(76, 40), #tBabylon
(67, 41), #tAthens
(82, 39), #tPersepolis
(58, 39), #tCarthage
(60, 44), #tRome
(113, 45), #tKyoto
(61, 62), #tNidaros
(75, 33), #tMecca
(52, 43), #tMadrid
(55, 50), #tParis
(53, 54), #tLondon
(62, 52), #tBerlin
(73, 54), #tMoskow
(53, 31), #tTimbuktu
(72, 43), #tKonya  #71?
(28, 22), #tCuzco
(99, 51), #tKarakorum
(18, 37), #tTenochtitlan
(27, 46)#, #tWashington
#(57, 53), #tAmsterdam
#(49, 43) #tLisboa
) 

#for minor civs
tReserveCapitals = (
(), 
(), 
(), 
(), 
(), 
(), 
(), 
(), 
(), 
(), 
(), 
(), 
(), 
(), 
(), 
(), 
(), 
(), 
(), 
(), 
(), 
(), 
#((57, 52), (56, 52), (58, 53)), #tAmsterdam
#((49, 42), (49, 44)) #tLisboa
)

#core areas (for RiseAndFall and Victory)

tCoreAreasTL = (
(66, 30), #Egypt
(87, 33), #India
(99, 41), #China
(74, 38), #Babylonia
(65, 39), #Greece
(79, 37), #Persia
(54, 37), #Carthage
(59, 40), #Rome
(111, 41), #Japan
(57, 57), #Vikings
(73, 30), #Arabia
(49, 40), #Spain
(54, 47), #France
(50, 53), #England
(59, 48), #Germany
(69, 50), #Russia
(49, 26), #Mali
(69, 43), #Turkey
(24, 18), #Inca
(90, 48), #Mongolia
(15, 35), #Aztecs
(26, 42), #America
#(56, 51), #Holland
#(44, 42) #Portugal
) 

tCoreAreasBR = (
(70, 36), #Egypt
(94, 40), #India
(107, 47), #China
(77, 42), #Babylonia
(70, 44), #Greece
(85, 44), #Persia
(60, 39), #Carthage
(63, 47), #Rome
(116, 49), #Japan
(65, 64), #Vikings
(81, 39), #Arabia
(55, 46), #Spain
(57, 52), #France
(54, 60), #England
(66, 53), #Germany
(74, 57), #Russia
(57, 31), #Mali
(80, 49), #Turkey
(29, 24), #Inca
(105, 58), #Mongolia
(20, 41), #Aztecs
(31, 48)#, #America
#(58, 53), #Holland
#(50, 44) #Portugal
) 


tExceptions = (  #for RiseAndFall
(), #Egypt
(), #India
(), #China
((78, 41), (78, 42)), #Babylonia
(), #Greece
(), #Persia
(),#(73, 40), (73, 41)), #Carthage
(), #Rome
(), #Japan
((62, 56), (63, 56), (62, 55)), #Vikings
((82, 34), (73, 40), (74, 40), (75, 40), (71, 36), (72, 37)),  #Arabia
(), #Spain
((51, 50), (52, 49), (52, 50), (53, 47), (53, 48), (53, 49), (53, 50), (53, 51), (56, 46), (57, 46)), #France
(), #England
((62, 47), (63, 47), (64, 47)),  #Germany
((68, 56), (68, 57), (68, 58)), #Russia
(), #Mali
((68, 48), (68, 49), (73, 40), (73, 41), (73, 42), (71, 42), (70, 42), (74, 42), (75, 42)), #Turkey
(), #Inca
((90, 47), (91, 47), (92, 47), (93, 47), (94, 47), (95, 47), (96, 47), (97, 47), (98, 47)), #Mongolia
(), #Aztecs
((29, 49), (30, 49), (31, 49), (31, 50), (32, 50), (24, 44), (25, 44), (24, 43), (25, 43))) #America



#normal areas (for Victory)

tNormalAreasTL = (
(66, 30), #Egypt
(87, 29), #India
(99, 39), #China
(74, 38), #Babylonia
(64, 39), #Greece
(79, 37), #Persia
(50, 36), #Carthage
(57, 40), #Rome
(111, 41), #Japan
(57, 55), #Vikings
(73, 30), #Arabia
(49, 40), #Spain
(51, 47), #France
(50, 53), #England
(59, 48), #Germany
(69, 50), #Russia
(48, 26), #Mali
(68, 41), #Turkey
(24, 14), #Inca
(86, 48), #Mongolia
(15, 35), #Aztecs
(11, 43)#, #America
#(56, 51), #Holland
#(44, 42) #Portugal
) 

tNormalAreasBR = (
(72, 36), #Egypt
(96, 41), #India
(107, 47), #China
(79, 44), #Babylonia
(68, 44), #Greece
(85, 46), #Persia
(61, 39), #Carthage
(63, 47), #Rome
(116, 52), #Japan
(66, 65), #Vikings
(82, 38), #Arabia
(55, 46), #Spain
(58, 52), #France
(54, 60), #England
(66, 54), #Germany
(80, 60), #Russia
(60, 33), #Mali
(79, 49), #Turkey
(30, 28), #Inca
(104, 54), #Mongolia
(23, 42), #Aztecs
(31, 49)#, #America
#(58, 53), #Holland
#(50, 44) #Portugal
) 


# broader areas coordinates (top left and bottom right) (for RiseAndFall)

tBroaderAreasTL = (
(60, 26), #Egypt
(85, 28), #India
(95, 38), #China
(72, 37), #Babylonia
(62, 39), #Greece
(70, 37), #Persia
(49, 35), #Carthage
(49, 35), #Rome
(110, 40), #Japan
(57, 55), #Vikings
(64, 30), #Arabia
(49, 38), #Spain
(49, 44), #France
(48, 53), #England
(55, 46), #Germany
(65, 48), #Russia
(48, 21), #Mali
(68, 42), #Turkey
(24, 14), #Inca
(82, 44), #Mongolia
(14, 32), #Aztecs
(10, 42)) #America

tBroaderAreasBR = (
(74, 38), #Egypt
(99, 43), #India
(107, 50), #China
(78, 44), #Babylonia
(77, 47), #Greece
(87, 49), #Persia
(59, 41), #Carthage
(73, 50), #Rome
(116, 56), #Japan
(71, 65), #Vikings
(85, 44), #Arabia
(55, 46), #Spain
(61, 52), #France
(54, 60), #England
(67, 56), #Germany
(92, 59), #Russia
(67, 32), #Mali
(86, 49), #Turkey
(30, 27), #Inca
(110, 62), #Mongolia
(24, 43), #Aztecs
(37, 56)) #America



#Mercenaries. Higher number = less likely to hire
tHire = (
10, #Egypt
30, #India
30, #China
30, #Babylonia
50, #Greece
20, #Persia
10, #Carthage
30, #Rome
60, #Japan
60, #Viking
50, #Arabia
50, #Spain
50, #France
50, #England
60, #Germany
60, #Russia
30, #Mali
50, #Turkey
30, #Inca
70, #Mongolia
30, #Aztec
50, #America
#10, #Holland
#60, #Portugal
100,
100,
100,
100,
100) #Barbs

#war during rise of new civs
tAIStopBirthThreshold = (
    80, #Egypt
    80, #India
    60, #China
    50, #Babylonia
    50, #Greece #would be 80 but with Turks must be lower
    70, #Persia
    80, #Carthage
    80, #Rome
    80, #Japan
    80, #Viking
    80, #Arabia
    60, #Spain
    60, #France
    50, #England
    70, #Germany
    50, #Russia
    70, #Mali
    70, #Turkey
    70, #Inca
    70, #Mongolia
    50, #Aztec
    50, #America
#    80, #Holland
#    60, #Portugal
    100,
    100,
    100,
    100,
    100)


#RiseAndFall
tResurrectionProb = (
80, #Egypt
100, #India
100, #China
30, #Babylonia
60, #Greece
60, #Persia
40, #Carthage
60, #Rome
100, #Japan
60, #Viking
100, #Arabia
100, #Spain
100, #France
100, #England
100, #Germany
100, #Russia
50, #Mali
100, #Turkey
80, #Inca
80, #Mongolia
80, #Aztec
100, #America
#    100, #Holland
#    100, #Portugal
100) #Barbs 


#Congresses.
tPatienceThreshold = (
30, #Egypt
50, #India
30, #China
30, #Babylonia
35, #Greece
30, #Persia
35, #Carthage
25, #Rome
25, #Japan
30, #Viking
30, #Arabia
20, #Spain
20, #France
20, #England
20, #Germany
30, #Russia
35, #Mali
35, #Turkey
35, #Inca
20, #Mongolia
30, #Aztec
30, #America
100) #Barbs





# initialise religion variables to religion indices from XML
iJudaism = 0
iChristianity = 1
iIslam = 2
iHinduism = 3
iBuddhism = 4
iConfucianism = 5
iTaoism = 6
iNumReligions = 7


# initialise tech variables to unit indices from XML

iMysticism = 0
iMeditation = 1
iPolytheism = 2
iPriesthood = 3
iMonotheism = 4
iMonarchy = 5
iLiterature = 6
iCodeOfLaws = 7
iDrama = 8
iFeudalism = 9
iTheology = 10
iMusic = 11
iCivilService = 12
iGuilds = 13
iDivineRight = 14
iNationalism = 15
iMilitaryTradition = 16
iConstitution = 17
iLiberalism = 18
iDemocracy = 19
iCorporation = 20
iFascism = 21
iCommunism = 22
iMassMedia = 23
iEcology = 24

iFishing = 25
iTheWheel = 26
iAgriculture = 27
iPottery = 28
iSailing = 29
iWriting = 30
iMathematics = 31
iAlphabet = 32
iCalendar = 33
iCurrency = 34
iPhilosophy = 35
iPaper = 36
iBanking = 37
iEducation = 38
iPrintingPress = 39
iEconomics = 40
iAstronomy = 41
iChemistry = 42
iScientificMethod = 43
iPhysics = 44
iBiology = 45
iMedicine = 46
iElectricity = 47
iCombustion = 48
iFission = 49
iFlight = 50
iPlastics = 51
iComposites = 52
iGenetics = 53
iFiberOptics = 54
iFusion = 55

iHunting = 56
iMining = 57
iArchery = 58
iMasonry = 59
iAnimalHusbandry = 60
iBronzeWorking = 61
iHorsebackRiding = 62
iIronWorking = 63
iMetalCasting = 64
iCompass = 65
iConstruction = 66
iMachinery = 67
iEngineering = 68
iOptics = 69
iGunpowder = 70
iReplaceableParts = 71
iRifling = 72
iSteamPower = 73
iSteel = 74
iAssemblyLine = 75
iRailroad = 76
iArtillery = 77
iIndustrialism = 78
iRadio = 79
iRefrigeration = 80
iComputers = 81
iRocketry = 82
iSatellites = 83
iRobotics = 84
iFutureTech = 85

iNumTechs = 86


# initialise unit variables to unit indices from XML

iLion = 0
iBear = 1
iPanther = 2
iWolf = 3
iSettler = 4
iWorker = 5
iIndianFastWorker = 6
iScout = 7
iExplorer = 8
iSpy = 9
iJewishMissionary = 10
iChristianMissionary = 11
iIslamicMissionary = 12
iHinduMissionary = 13
iBuddhistMissionary = 14
iConfucianMissionary = 15
iTaoistMissionary = 16
iWarrior = 17
iIncanQuechua = 18
iSwordsman = 19
iAztecJaguar = 20
iCelticGallicWarrior = 21
iRomePraetorian = 22
iAxeman = 23
iMaceman = 24
iJapanSamurai = 25
iVikingBeserker = 26
iSpearman = 27
iGreekPhalanx = 28
iZuluImpi = 29
iPikeman = 30
iMusketman = 31
iFrenchMusketeer = 32
iMusketeer = 32 #
iOttomanJanissary = 33
iRifleman = 34
iEnglishRedcoat = 35
iRedcoat = 35 #
iGrenadier = 36
iInfantry = 37
iSamInfantry = 38
iMarine = 39
iAmericanNavySeal = 40
iMechanizedInfantry = 41
iArcher = 42
iMaliSkirmisher = 43
iLongbowman = 44
iCrossbowman = 45
iChinaChokonu = 46
iChariot = 47
iEgyptWarchariot = 48
iPersiaImmortal = 49
iHorseArcher = 50
iCarthageNumidianCavalry = 51
iMongolKeshik = 52
iKnight = 53
iArabiaCamelarcher = 54
iCamelArcher = 54 #
iSpanishConquistador = 55
iConquistador = 55 #
iCavalry = 56
iRussiaCossack = 57
iWarElephant = 58
iTank = 59
iGermanPanzer = 60
iModernArmor = 61
iGunship = 62
iCatapult = 63
iKoreanHwacha = 64
iTrebuchet = 65
iCannon = 66
iMachineGun = 67
iArtillery = 68
iWorkboat = 69
iWorkBoat = 69
iGalley = 70
iTrireme = 71
iCaravel = 72
iGalleon = 73
iFrigate = 74
iIronclad = 75
iTransport = 76
iDestroyer = 77
iBattleship = 78
iSubmarine = 79
iCarrier = 80
iFighter = 81
iJetFighter = 82
iBomber = 83
iStealthBomber = 84
iIcbm = 85
iProphet = 86
iArtist = 87
iScientist = 88
iMerchant = 89
iEngineer = 90
iGreatGeneral = 91
iBowman = 92






# initialise bonuses variables to bonuses IDs from WBS
iAluminium = 0
iCoal = 1
iCopper = 2
iHorse = 3
iIron = 4
iMarble = 5
iOil = 6 
iStone = 7
iUranium = 8
iBanana = 9
iClam = 10
iCorn = 11
iCow = 12
iCrab = 13
iDeer = 14
iFish = 15
iPig = 16
iRice = 17
iSheep = 18
iWheat = 19
iDye = 20
iFur = 21
iGems = 22
iGold = 23
iIncense = 24
iIvory = 25
iSilk = 26
iSilver = 27
iSpices = 28
iSugar = 29
iWine = 30
iWhales = 31
iCotton = 35


#Buildings (update Persian UHV every time this is changed)
iTemple = 61 #generic
iCathedral = 62 #generic
iShrine = 64 #generic



iPalace = 0
iGreatPalace = 1
iSummerPalace = 1 #
iVersailles = 2
iForbiddenPalace = 2 #
iWalls = 3
iCelticDun = 4
iCastle = 5
iSpanishCitadel = 6
iBarracks = 7
iZuluIkhanda = 8
iStable = 9
iMongolGer = 10
iBunker = 11
iBombShelter = 12
iGranary = 13
iIncanTerrace = 14
iAqueduct = 15
iOttomanHammam = 16
iHospital = 17
iRecyclingCenter = 18
iLighthouse = 19
iVikingTradingPost = 20
iHarbor = 21
iCarthageCothon = 22
iDrydock = 23
iAirport = 24
iForge = 25
iMaliMint = 26
iFactory = 27
iGermanAssemblyPlant = 28
iCoalPlant = 29
iJapaneseShalePlant = 30
iHydroPlant = 31
iNuclearPlant = 32
iObelisk = 33
iEgyptianObelisk = 34
iAcademy = 35
iLibrary = 36
iArabianMadrassa = 37
iUniversity = 38
iKoreanSeowon = 39
iObservatory = 40
iFrenchSalon = 41
iLaboratory = 42
iRussianResearchInstitute = 43
iTheatre = 44
iChinesePavillion = 45
iColosseum = 46
iGreekOdeon = 47
iBroadcastTower = 48
iMarket = 49
iRomanForum = 50
iGrocer = 51
iPersianApothecary = 52
iBank = 53
iEnglishStockExchange = 54
iSupermarket = 55
iAmericanMall = 56
iCourthouse = 57
iAztecSacrificialAltar = 58
iJail = 59
iIndianMausoleum = 60
iJewishTemple = 61
iJewishCathedral = 62
iJewishMonastery = 63
iJewishShrine = 64
iChristianTemple = 65
iChristianCathedral = 66
iChristianMonastery = 67
iChristianShrine = 68
iIslamicTemple = 69
iIslamicCathedral = 70
iIslamicMonastery = 71
iIslamicShrine = 72
iHinduTemple = 73
iHinduCathedral = 74
iHinduMonastery = 75
iHinduShrine = 76
iBuddhistTemple = 77
iBuddhistCathedral = 78
iBuddhistMonastery = 79
iBuddhistShrine = 80
iConfucianTemple = 81
iConfucianCathedral = 82
iConfucianMonastery = 83
iConfucianShrine = 84
iTaoistTemple = 85
iTaoistCathedral = 86
iTaoistMonastery = 87
iTaoistShrine = 88
iHeroicEpic = 89
iFlavianAmphitheatre = 89
iNationalEpic = 90
iTriumphalArch = 90 #
iGlobeTheatre = 91
iHermitage = 92
iNationalGallery = 92 #
iChannelTunnel = 93
iWallStreet = 94
iIronWorks = 95
iTradingCompany = 96
iMtRushmore = 97
iRedCross = 98
iInterpol = 98 #
iScotlandYard = 99
iPyramid = 100
iStonehenge = 101
iGreatLibrary = 102
iGreatLighthouse = 103
iHangingGarden = 104
iColossus = 105
iOracle = 106
iParthenon = 107
iAngkorWat = 108
iHagiaSophia = 109
iChichenItza = 110
iTempleOfKukulkan = 110 #
iSistineChapel = 111
iSpiralMinaret = 112
iNotreDame = 113
iTajMahal = 114
iKremlin = 115
iEiffelTower = 116
iStatueOfLiberty = 117
iBroadway = 118
iWembley = 118 #
iRocknroll = 119
iGraceland = 119#
iHollywood = 120
iGreatDam = 121
iPentagon = 122
iUnitedNations = 123
iSpaceElevator = 124
iMilitaryAcademy = 125
iArtemis = 126
iSankore = 127
iGreatWall = 128
iLeaningTower = 129
iOlympicPark = 130
iEdubba = 131
iNumBuildings = 132 
iPlague = 132

#Projects

iManhattanProject = 0
iTheInternet = 1
iSDI = 2
iApolloProgram = 3
iSSCasing = 4
iSSThrusters = 5
iSSEngine = 6
iSSDockingBay = 7
iSSCockpit = 8
iSSLifeSupport = 9
iSSStasisChamber = 10


#Eras

iAncient = 0
iClassical = 1
iMedieval = 2
iRenaissance = 3
iIndustrial = 4
iModern = 5
iFuture = 6


#Improvements

iCottage = 19
iHamlet = 20
iVillage = 21
iTown = 22


#Stability Parameters

iParCities3 = 0
iParCitiesE = 1
iParCivics3 = 2
iParCivics1 = 3
iParDiplomacy3 = 4
iParDiplomacyE = 5
iParEconomy3 = 6
iParEconomy1 = 7
iParEconomyE = 8
iParExpansion1 = 9
iParExpansionE = 10
iNumStabilityParameters = 11

#Plague
iImmunity = 20


#leaders

iLeaderBarbarian = 0
iAlexander = 1
iAsoka = 2
iAugustus_caesar = 3
iBismarck = 4
iBrennus = 5
iCatherine = 6
iChurchill = 7
iCyrus = 8
iElizabeth = 9
iFrederick = 10
iGandhi = 11
iGenghis_khan = 12
iHannibal = 13
iHatshepsut = 14
iHuayna_capac = 15
iIsabella = 16
iJulius_caesar = 17
iKublai_khan = 18
iLouisxiv = 19
iMansa_musa = 20
iMao = 21
iMehmed_ii = 22
iMontezuma = 23
iNapoleon = 24
iPeter = 25
iQin_shi_huang = 26
iRamesses_ii = 27
iRagnar = 28
iRoosevelt = 29
iSaladin = 30
iShaka = 31
iStalin = 32
iTokugawa = 33
iVictoria = 34
iWang_kon = 35
iWashington = 36
iHammurabi = 37

tLeaders = (
(iRamesses_ii,), #iHatshepsut),
(iAsoka, iGandhi),
(iQin_shi_huang, iMao),
(iHammurabi,),
(iAlexander,),
(iCyrus,),
(iHannibal,),
(iAugustus_caesar, iJulius_caesar),
(iTokugawa,),
(iRagnar,),
(iSaladin,),
(iIsabella,),
(iLouisxiv, iNapoleon),
(iVictoria, iElizabeth, iChurchill),
(iBismarck, iFrederick),
(iStalin, iPeter, iCatherine),
(iMansa_musa,),
(iMehmed_ii,),
(iHuayna_capac,),
(iGenghis_khan, iKublai_khan),
(iMontezuma,),
(iRoosevelt, iWashington))

tEarlyLeaders = (
(iRamesses_ii), 
(iAsoka),
(iQin_shi_huang),
(iHammurabi),
(iAlexander),
(iCyrus),
(iHannibal),
(iJulius_caesar),
(iTokugawa),
(iRagnar),
(iSaladin),
(iIsabella),
(iLouisxiv),
(iElizabeth),
(iFrederick),
(iPeter),
(iMansa_musa),
(iMehmed_ii),
(iHuayna_capac),
(iGenghis_khan),
(iMontezuma),
(iWashington))


tLateLeaders = ( #all up to 300 turns earlier because the switch is triggered after a few years
(iRamesses_ii,), 
(iGandhi, i1700AD, 5, 4),
(iMao, i1800AD, 10, 4),
(iHammurabi,),
(iAlexander,),
(iCyrus,),
(iHannibal,),
(iAugustus_caesar, i50AD, 5, 2),
(iTokugawa,),
(iRagnar,),
(iSaladin,),
(iIsabella,),
(iNapoleon, i1700AD, 10, 4),
(iVictoria, i1600AD, 15, 3, iChurchill, i1930AD, 10, 5),
(iBismarck, i1700AD, 10, 4),
(iCatherine, i1600AD, 15, 4, iStalin, i1800AD, 15, 5),
(iMansa_musa,),
(iMehmed_ii,),
(iHuayna_capac,),
(iKublai_khan, i1500AD, 10, 3),
(iMontezuma,),
(iRoosevelt, i1850AD, 15, 5))
